slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNView

Prints the MFN data structure.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNView(MFN mfn,PetscViewer viewer)

Collective

### Input Parameters

| mfn | - the matrix function solver context
| viewer | - optional visualization context

### Options Database Key

| -mfn_view | - Calls MFNView() at end of MFNSolve()

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### See Also

MFNCreate()

### Level

beginner

### Location

src/mfn/interface/mfnbasic.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages